Name:          guava09
Version:       09
Release:       %mkrel 1
Summary:       Guava (Google Common Libraries)
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/guava-libraries/
# svn export http://guava-libraries.googlecode.com/svn/tags/release09 guava-r09
# tar czf guava-r09-src-svn.tar.gz guava-r09
Source0:       guava-r09-src-svn.tar.gz
Patch0:        guava-r09-pom.patch
# http://code.google.com/p/guava-libraries/issues/detail?id=635
Patch1:        guava-r09-openjdk-inference.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: jsr-305 >= 0-0.5.20090319svn.2

Requires:      jsr-305 >= 0-0.5.20090319svn.2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Guava is a suite of core and expanded libraries that include 
utility classes, google's collections, io classes, and much 
much more.

This project is a complete packaging of all the Guava libraries
into a single jar.  Individual portions of Guava can be used
by downloading the appropriate module and its dependencies.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n guava-r%{version}

%patch0 -p0
%patch1 -p0

find -name '*.class' -exec rm -f '{}' \;
# lib/gwt-dev.jar
# lib/gwt-user.jar
rm -rf *javadoc
find -name '*.jar' -exec rm -f '{}' \;

sed -i "s/jsr305.jar/jsr-305.jar/" build.xml

%build

build-jar-repository -s -p lib jsr-305
ant -Drelease=%{version} -Djava5home=%{_jvmdir} jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/dist/guava-%{version}/guava-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap com.google.guava guava %{version} JPP %{name}
##dd_to_maven_depmap com.google.collections google-collections 1.0 JPP %{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc AUTHORS CONTRIBUTORS COPYING README README.maven

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Nov 10 2011 gil <gil> 09-1.mga2
+ Revision: 166032
- imported package guava09

